Skip to main content

createProjectAssignee

Assign a user to a project

createProjectAssignee(
input: CreateProjectAssigneeInput!
): CreateProjectAssigneePayload

Arguments​

createProjectAssignee.input ● CreateProjectAssigneeInput! non-null input​

Parameters for CreateProjectAssignee

Type​

CreateProjectAssigneePayload object​

Autogenerated return type of CreateProjectAssignee.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the projects query first and use data.projects.collection[].id as projectId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateProjectAssignee($input: CreateProjectAssigneeInput!) {\n createProjectAssignee(input: $input) { assignedUser { id allocatedHours createdAt } clientMutationId errors }\n}","variables":{"input":{"projectId":1,"portalUserId":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute